Bug 1437970 - batch_upgrade_tasks not executed before upgrade_tasks
Summary: batch_upgrade_tasks not executed before upgrade_tasks
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat OpenStack
Classification: Red Hat
Component: openstack-tripleo-heat-templates
Version: 11.0 (Ocata)
Hardware: Unspecified
OS: Unspecified
high
high
Target Milestone: rc
: 11.0 (Ocata)
Assignee: Marios Andreou
QA Contact: Marius Cornea
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-03-31 14:46 UTC by Marios Andreou
Modified: 2017-05-17 20:17 UTC (History)
7 users (show)

Fixed In Version: openstack-tripleo-heat-templates-6.0.0-4.el7ost
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-05-17 20:17:06 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHEA-2017:1245 normal SHIPPED_LIVE Red Hat OpenStack Platform 11.0 Bug Fix and Enhancement Advisory 2017-05-17 23:01:50 UTC
OpenStack gerrit 454067 None None None 2017-04-06 10:32:23 UTC
Launchpad 1678101 None None None 2017-03-31 14:47:14 UTC

Description Marios Andreou 2017-03-31 14:46:09 UTC
Description of problem:
The ordering between batch_upgrade_tasks and upgrade_tasks is not being enforced.

For the N..O upgrades workflow [1] the batch_upgrade_tasks are meant to be used to execute those upgrade tasks that should be executed on one node at a time. These are also expected to be run before any of the rest of the upgrade_tasks are executed.

This ordering is currently broken - there is a review out at https://review.openstack.org/#/c/448602/ to fix it.

Filing this bug for more info and as we will need the fix into stable/ocata too

[1] https://docs.openstack.org/developer/tripleo-docs/post_deployment/upgrade.html#upgrading-the-overcloud-to-ocata-and-beyond

Version-Release number of selected component (if applicable):

This is only noticeable if you are testing the batch upgrade tasks, i.e. upgrading ceph as part of the ansible upgrade steps.

Comment 2 Jaromir Coufal 2017-03-31 21:34:19 UTC
Based on discussion with gfidente:
Impact if not resolved: batch and non-batch tasks might be triggered simultaneously on the same node which might lead into issues during upgrade and fail the whole procedure.

Comment 3 Sofer Athlan-Guyot 2017-04-06 10:32:23 UTC
On stable/ocata.

Comment 5 Marius Cornea 2017-04-25 16:23:50 UTC
We can see that all the UpgradeBatch stacks are created/updated before the Upgrade_Step ones. Moving to verified:

http://paste.openstack.org/show/607884/

Comment 6 errata-xmlrpc 2017-05-17 20:17:06 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHEA-2017:1245


Note You need to log in before you can comment on or make changes to this bug.